#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	IPC
%define		pnam	SharedCache
%include	/usr/lib/rpm/macros.perl
Summary:	IPC::SharedCache - manage a cache in SysV IPC shared memory
Summary(pl.UTF-8):	IPC::SharedCache - zarządzanie pamięcią podręczną w pamięci dzielonej SysV
Name:		perl-IPC-SharedCache
Version:	1.3
Release:	8
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d5d159a6b41d42918b7c1fceafb43ae
Patch0:		%{name}-wrap-IPC-ShareLite-new-calls-inside-eval-block.patch
URL:		http://search.cpan.org/dist/IPC-SharedCache/
BuildRequires:	perl-Carp-Assert
BuildRequires:	perl-IPC-ShareLite >= 0.06
BuildRequires:	perl-IPC-SysV
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a shared memory cache accessed as a tied hash.

%description -l pl.UTF-8
Ten moduł udostępnia cache pamięci dzielonej, dostępny jako dowiązany
hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ANNOUNCE
%{perl_vendorlib}/IPC/SharedCache.pm
%{_mandir}/man3/IPC::SharedCache.3pm*
%changelog
* Tue Jun 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-SharedCache.git;a=log;h=master

* Tue Jun 09 2015 Jakub Bogusz <qboosh@pld-linux.org> d1b5ae2
- added wrap-IPC-ShareLite-new-calls-inside-eval-block patch from Debian
- release 8

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> b892b4c
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b3842fd
- release 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d5aea3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 860f78d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8cae699
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> cec6f35
- massive: unfold macros in name/summary & other unifications

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> c7a7855
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 8a53d8e
- rel. 5

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 01c851f
- license fixes & unification

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 30f77f0
- eeh, hack won't work with noarch - removed

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 6873164
- real summaries, added without_tests, do so on ac-i386; release 4

* Thu Jan 22 2004 averne <averne@pld-linux.org> e2f41b8
- fixed perl-Carp BR

* Thu Jan 22 2004 averne <averne@pld-linux.org> 9bf7f01
- fixed BR's

* Tue Aug 26 2003 Paweł Gołaszewski <blues@pld-linux.org> 1cb48d3
- release 3 - merged changes from RA-branch

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 47d7668
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 6dba546
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d59ea1a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 72065b0
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 6062de7
- should be ready for perl-5.8.0; release++

